Bug 1586022 - ROOTConfig-targets.cmake need to be adopted to the actually installed root packages.
Summary: ROOTConfig-targets.cmake need to be adopted to the actually installed root pa...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: root
Version: epel7
Hardware: x86_64
OS: All
unspecified
high
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-06-05 10:47 UTC by Andreas Suter
Modified: 2018-08-23 11:26 UTC (History)
2 users (show)

Fixed In Version: root-6.14.02-1.fc27 root-6.14.02-1.fc28 root-6.14.02-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-16 07:23:30 UTC
Type: Bug


Attachments (Terms of Use)

Description Andreas Suter 2018-06-05 10:47:48 UTC
Description of problem:

root is delivered in lot of sub-packages which allows to select what one needs. Now, if an application 'foo' uses root there is the following problem. If 'foo' is built via cmake (version >= 3.6) and relies on ROOTConfig.cmake, it will fail if not ALL root-XXX packages are installed, which is likely never to be the case.

The files ROOTConfig-targets.cmake and ROOTConfig-targets-relwithdebinfo.cmake would need to be adopted after each yum install/erase root-XXX package to make sure only the installed ones are listed in these files.  

Version-Release number of selected component (if applicable):

root-6.12.04

Comment 1 Fedora Update System 2018-08-07 17:03:35 UTC
js-jsroot-5.5.0-1.fc27 root-6.14.02-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-10382fe4dc

Comment 2 Fedora Update System 2018-08-07 17:03:44 UTC
js-jsroot-5.5.0-1.fc28 root-6.14.02-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-111892e3c1

Comment 3 Fedora Update System 2018-08-07 17:03:50 UTC
js-jsroot-5.5.0-1.el7 root-6.14.02-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ea6d93938d

Comment 4 Fedora Update System 2018-08-08 14:26:41 UTC
js-jsroot-5.5.0-1.fc27, root-6.14.02-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-10382fe4dc

Comment 5 Fedora Update System 2018-08-08 17:14:32 UTC
js-jsroot-5.5.0-1.fc28, root-6.14.02-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-111892e3c1

Comment 6 Fedora Update System 2018-08-08 17:34:35 UTC
js-jsroot-5.5.0-1.el7, root-6.14.02-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ea6d93938d

Comment 7 Mattias Ellert 2018-08-10 08:21:28 UTC
The new version does not quit with an error on missing files any more. Instead it gives warnings like these:

CMake Warning at /usr/share/root/cmake/ROOTConfig-targets.cmake:1186 (message):
  The imported target "ROOT::MathMore" references the file

     "/usr/lib64/root/libMathMore.so.6.14.02"

  but this file does not exist.  If this target is used you need to install
  the package that provides this file

     dnf install /usr/lib64/root/libMathMore.so.6.14.02

  If this target is not used this warning can be ignored.

Comment 8 Fedora Update System 2018-08-16 07:23:30 UTC
js-jsroot-5.5.0-1.fc27, root-6.14.02-1.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2018-08-16 08:05:33 UTC
js-jsroot-5.5.0-1.fc28, root-6.14.02-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-08-23 11:26:00 UTC
js-jsroot-5.5.0-1.el7, root-6.14.02-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.